<?xml version="1.0" encoding="UTF-8"?>
<!--
Linkbase:  Taxonomía para Grupo 1 - Cierre de 2025:  2025-12-31 - Versión: 3
 Creada por la Superintendencia de Servicios Públicos Domiciliarios. 
 Archivos generados el: 2026/04/29 - 17:54
 Basada en: XBRL Versión 2.1. 





 Desarrollada por: 
                             Juan Carlos Rodríguez Rivera -  https://www.linkedin.com/in/juan-carlos-rodriguez-xbrl/ - jcoolcat@gmail.com - +57 3016662961
-->
<!-- Generated with Reporting Standard S.L. XBRL Taxonomy builder version 20.26.1.1483 - http://www.reportingstandard.com -->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink">
  <link:roleRef xlink:type="simple" roleURI="http://www.superservicios.gov.co/xbrl/ifrs/2025-12-31/co-sspd_fc-08_2025-12-31" xlink:href="../co-sspd_fc-08_2025-12-31.xsd#co-sspd_fc-08_2025-12-31"/>
  <link:calculationLink xlink:type="extended" xlink:role="http://www.superservicios.gov.co/xbrl/ifrs/2025-12-31/co-sspd_fc-08_2025-12-31">
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorVentaDeBienes" xlink:label="lbl140010"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorVentaDeEnergiaGasNaturalGasLicuadoDePetroleoAgua" xlink:label="lbl140011"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="160.0" xlink:from="lbl140010" xlink:to="lbl140011"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorVentaDeAirePropanadoCombustiblesHidrocarburosDerivadosDePetroleo" xlink:label="lbl140012"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="170.0" xlink:to="lbl140012" xlink:from="lbl140010"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorVentaDeEquiposDeMedicionDeServiciosPublicosDomiciliarios" xlink:label="lbl140013"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="180.0" xlink:to="lbl140013" xlink:from="lbl140010"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorVentaDeRedesInternasOPartesDeEllas" xlink:label="lbl140014"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="190.0" xlink:to="lbl140014" xlink:from="lbl140010"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorVentaDeElectrodomesticos" xlink:label="lbl140015"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="200.0" xlink:to="lbl140015" xlink:from="lbl140010"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorVentaDeEquiposYMateriales" xlink:label="lbl140016"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="210.0" xlink:to="lbl140016" xlink:from="lbl140010"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorVentaDeBienesDiferentesALosDescritosAnteriormente" xlink:label="lbl140017"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="220.0" xlink:to="lbl140017" xlink:from="lbl140010"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorPrestacionDeServicios" xlink:label="lbl140018"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorPrestacionDeServiciosPublicosDomiciliarios" xlink:label="lbl140019"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="260.0" xlink:from="lbl140018" xlink:to="lbl140019"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorPrestacionDeServiciosDeInstalacionDeRedesInternas" xlink:label="lbl140020"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="270.0" xlink:to="lbl140020" xlink:from="lbl140018"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorPrestacionDeServiciosDeMantenimientoDeRedesInternas" xlink:label="lbl140021"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="280.0" xlink:to="lbl140021" xlink:from="lbl140018"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorPrestacionDeServiciosDeAsistenciaTecnicaEnServiciosPublicosDomiciliarios" xlink:label="lbl140022"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="290.0" xlink:to="lbl140022" xlink:from="lbl140018"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorPrestacionDeServiciosDeObrasCivilesRelacionadosConServiciosPublicosDomiciliarios" xlink:label="lbl140023"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="300.0" xlink:to="lbl140023" xlink:from="lbl140018"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorCargoDeConexion" xlink:label="lbl140024"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="310.0" xlink:to="lbl140024" xlink:from="lbl140018"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorHonorariosAsesoriasOComisionesPorFranquicias" xlink:label="lbl140025"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="320.0" xlink:to="lbl140025" xlink:from="lbl140018"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorCargoDeConfiabilidad" xlink:label="lbl140026"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="330.0" xlink:to="lbl140026" xlink:from="lbl140018"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorReconexiones" xlink:label="lbl140027"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="340.0" xlink:to="lbl140027" xlink:from="lbl140018"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosPorAlmacenamientoRelacionadosConServiciosPublicosDomiciliarios" xlink:label="lbl140028"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="350.0" xlink:to="lbl140028" xlink:from="lbl140018"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorArrendamientosRelacionadosConServiciosPublicosDomiciliarios" xlink:label="lbl140029"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="360.0" xlink:to="lbl140029" xlink:from="lbl140018"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorReinstalaciones" xlink:label="lbl140030"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="370.0" xlink:to="lbl140030" xlink:from="lbl140018"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasProcedentesDeContratosDeConstruccion" xlink:label="lbl140031"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="380.0" xlink:to="lbl140031" xlink:from="lbl140018"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorRevisionesTecnicas" xlink:label="lbl140032"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="390.0" xlink:to="lbl140032" xlink:from="lbl140018"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosPorServiciosDeFacturacionRecaudoManejoComercial" xlink:label="lbl140033"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="400.0" xlink:to="lbl140033" xlink:from="lbl140018"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorDespachoYCoordinacionDelCnd" xlink:label="lbl140034"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="410.0" xlink:to="lbl140034" xlink:from="lbl140018"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorSistemaDeIntercambiosComercialesSic" xlink:label="lbl140035"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="420.0" xlink:to="lbl140035" xlink:from="lbl140018"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorLiquidacionYAdministracionDeCuentas" xlink:label="lbl140036"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="430.0" xlink:to="lbl140036" xlink:from="lbl140018"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorPrestacionDeServiciosDiferentesALosDescritosAnteriormente" xlink:label="lbl140037"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="440.0" xlink:to="lbl140037" xlink:from="lbl140018"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorIntereses" xlink:label="lbl140038"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorInteresesDeFinanciacion" xlink:label="lbl140039"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="480.0" xlink:from="lbl140038" xlink:to="lbl140039"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorInteresesDeMora" xlink:label="lbl140040"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="490.0" xlink:to="lbl140040" xlink:from="lbl140038"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasConciliadas" xlink:label="lbl140041"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="240.0" xlink:from="lbl140041" xlink:to="lbl140010"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="460.0" xlink:from="lbl140041" xlink:to="lbl140018"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="500.0" xlink:from="lbl140041" xlink:to="lbl140038"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorDividendos" xlink:label="lbl140042"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="510.0" xlink:to="lbl140042" xlink:from="lbl140041"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_UtilidadDeActividadesOrdinariasEnVentaDePropiedadPlantaYEquipoRedesCablesPlantasYOtrosDirectamenteRelacionadosConElServicioPublicoDomiciliario" xlink:label="lbl140043"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="520.0" xlink:to="lbl140043" xlink:from="lbl140041"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorContratosDeOperacion" xlink:label="lbl140044"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="530.0" xlink:to="lbl140044" xlink:from="lbl140041"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorContratosDeConcesion" xlink:label="lbl140045"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="540.0" xlink:to="lbl140045" xlink:from="lbl140041"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorContratosDeCuentasEnParticipacion" xlink:label="lbl140046"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="550.0" xlink:to="lbl140046" xlink:from="lbl140041"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosDeActividadesOrdinariasPorPublicidad" xlink:label="lbl140047"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="560.0" xlink:to="lbl140047" xlink:from="lbl140041"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_OtrosIngresosDeActividadesOrdinarias" xlink:label="lbl140048"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="570.0" xlink:to="lbl140048" xlink:from="lbl140041"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_Ingresos" xlink:label="lbl140049"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="590.0" xlink:from="lbl140049" xlink:to="lbl140041"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_IngresosQueNoSonConsideradosDeActividadesOrdinarias" xlink:label="lbl140050"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="610.0" xlink:to="lbl140050" xlink:from="lbl140049"/>
  </link:calculationLink>
</link:linkbase>